Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 6713041: Update software rendering list: (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 1 month ago by Zhenyao Mo
Modified:
2 years, 11 months ago
CC:
chromium-reviews_chromium.org, arv
Visibility:
Public.

Description

Update software rendering list:
(1) Since we disabled multisampling for ATI on Mac, remove a few Radeon cards from the list.
(2) Disable all GPU features for ATI on linux.
(3) Disable all GPU features for Intel on linux.

BUG=73910, 76428, 76703, 68859
TEST=unittest

R=arv@chromium.org
Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=78755

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+17 lines, -47 lines) Lint Patch
M chrome/browser/resources/software_rendering_list.json View 5 chunks +17 lines, -47 lines 1 comment 0 errors Download
Commit:

Messages

Total messages: 8
Zhenyao Mo
Since TBR no longer works, please review.
3 years, 1 month ago #1
vangelis
LGTM. Please also update the histograms XML file accordingly. http://codereview.chromium.org/6713041/diff/1/chrome/browser/resources/software_rendering_list.json File chrome/browser/resources/software_rendering_list.json (right): http://codereview.chromium.org/6713041/diff/1/chrome/browser/resources/software_rendering_list.json#newcode236 chrome/browser/resources/software_rendering_list.json:236: ...
3 years, 1 month ago #2
zmo
On 2011/03/18 20:30:42, vangelis wrote: > LGTM. > > Please also update the histograms XML ...
3 years, 1 month ago #3
piman
Please make sure you're not blacklisting the GPUs on Chrome OS. The driver uses mesa ...
3 years, 1 month ago #4
zmo
Currently blacklisting only affects Linux/Mac/Win. So unless ChromeOS is mistakenly identified as Linux (I don't ...
3 years, 1 month ago #5
piman
On Fri, Mar 18, 2011 at 5:49 PM, Zhenyao Mo <zmo@google.com> wrote: > Currently blacklisting ...
3 years, 1 month ago #6
zmo
On Mon, Mar 21, 2011 at 5:15 PM, Antoine Labour <piman@chromium.org> wrote: > > > ...
3 years, 1 month ago #7
piman
3 years, 1 month ago #8
On Mon, Mar 21, 2011 at 7:39 PM, Zhenyao Mo <zmo@google.com> wrote:

> On Mon, Mar 21, 2011 at 5:15 PM, Antoine Labour <piman@chromium.org>
> wrote:
> >
> >
> > On Fri, Mar 18, 2011 at 5:49 PM, Zhenyao Mo <zmo@google.com> wrote:
> >>
> >> Currently blacklisting only affects Linux/Mac/Win.  So unless ChromeOS
> >> is mistakenly identified as Linux (I don't think it is, but will
> >> double-check), otherwise it's not affected.
> >>
> >> Mo
> >
> > It looks like accelerated compositing is not working in Chrome OS R11,
> which
> > uses Chrome M11.
> > When I go to about:gpu it says "Intel mesa drivers are crash-prone."
> which
> > looks like the wording of this change. However it doesn't look like your
> > change went to the 696 branch.
> > So 2 things:
> > - Is this file bundled with chrome at build time, or somehow retrieved at
> > run-time from a know URL ?
>
> We have a file bundled with chrome at build time as fall back, then
> since M11, we download the newest version of that file from a known
> URL every 48 hours.
>

Ok, then I guess that works. But can we get a solution quickly to re-enable
HW acceleration on linux ?

I'm also super worried about this out-of-band effect.


>
> > - Chrome OS does seem to be identified as Linux. Unless you added some
> > explicit code to handle Chrome OS specifically, I don't see why it
> wouldn't
> > be reported as linux.
>
> I checked with my code, the OS is handled by compile time macros, like
> #if defined (OS_LINUX)
> #if defined (OS_MACOSX).
>
> I thought we have a OS_CHROMEOS, no?  So #if defined (OS_LINUX) is
> true for chrome os?


Yes

 Then how do we identify chrome os at compile
> time?
>

OS_CHROMEOS implies OS_LINUX, 99% of the code is the same and it doesn't
make sense to duplicate all the #ifdefs for it.

If you have OS_CHROMEOS then it's Chrome OS, and if not you can test
OS_LINUX/OS_MACOSX/OS_WIN.

Antoine


>
> > Antoine
> >>
> >> On Fri, Mar 18, 2011 at 5:47 PM,  <piman@chromium.org> wrote:
> >> > Please make sure you're not blacklisting the GPUs on Chrome OS. The
> >> > driver
> >> > uses
> >> > mesa and it's intel, but we will fix bugs there if any
> >> >
> >> > http://codereview.chromium.org/6713041/
> >> >
> >
> >
>
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1280:2d3e6564b7b6